<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Accounts extends Controller_UserEnvi {

    public function action_index()
    {
        $twig = Twig::factory('admin/accounts/index');
        
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
    
    public function action_getCodes()
    {
        $model = new Model_Students();
        Cookie::set('fD', 'true');
        $twig = Twig::factory('admin/accounts/codes');
        $twig->Faculties = Model_Faculties::create()->common()->asArray();
        $twig->Grades = $this->getGrades();
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }    
    
      
    public function getGrades() {
        $grades = Model_Grades::create()->common()->asArray();
        $gradesHandled = array(); $i = $j = 0; $degree = 'null';

        foreach($grades as $row)
        {
            if($degree != $row['Degree'])
            {
                $degree = $row['Degree'] ;
                $i++; $j = 0;
            }
            $j++;
            $gradesHandled[$i]['Title'] = Model_Grades::getDegreeTitle($row['Degree']);
            $gradesHandled[$i]['Grades'][$j]['ID'] = $row['ID'];
            $gradesHandled[$i]['Grades'][$j]['Num'] = $row['Num'];
        }
        return $gradesHandled;
    } # todo: duplicating code, see Model_Grades
}
            